package biz

import (
	"center-api/internal/biz/do"
	"center-api/internal/biz/repository"
	"context"
	"github.com/go-kratos/kratos/v2/log"
)

type ActivityBiz struct {
	logHelper    *log.Helper
	activityRepo repository.ActivityRepo
}

func NewActivityBiz(logHelper *log.Helper, activityRepo repository.ActivityRepo) *ActivityBiz {
	return &ActivityBiz{logHelper: logHelper, activityRepo: activityRepo}
}

func (a *ActivityBiz) GetById(ctx context.Context, id int) *do.ActivityDo {
	return a.activityRepo.GetById(ctx, id)
}
